
import 'dart:convert';

import 'package:flutter/material.dart';
import 'package:http/http.dart' as http;
import 'package:rogapp/utils/const.dart';


class TrackingService {

  static Future<Map<String, dynamic>>  addTrack(String user_id, double lat, double lon) async {
    Map<String, dynamic> cats = {};
    String server_url = ConstValues.currentServer();
    String url = '${server_url}/api/track/';
    //String url = 'http://localhost:8100/api/track/';
    final geom = '{"type": "MULTIPOINT", "coordinates": [[${lon}, ${lat}]]}';
    final http.Response response = await http.post(
      Uri.parse(url),
      headers: <String, String>{
        'Content-Type': 'application/json; charset=UTF-8',
      },
      body: jsonEncode(<String, String>{
        'user_id': user_id,
        'geom': geom
      }),
    );

    if (response.statusCode == 200) {
      cats = json.decode(utf8.decode(response.bodyBytes));
    }
    return cats;
  }

}